Bug 995076 - nectar-ssl-* files in /tmp doesn't seem to be getting cleaned up
nectar-ssl-* files in /tmp doesn't seem to be getting cleaned up
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: z_other (Show other bugs)
2.2 Beta
Unspecified Unspecified
medium Severity unspecified
: ---
: 2.4.0
Assigned To: Mike McCune
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 09:53 EDT by Preethi Thomas
Modified: 2014-08-09 02:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-09 02:55:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-08-08 09:53:16 EDT
Description of problem:
The files that are getting created when syncing repos with certs in /tmp doesn't seem to be getting cleaned up

Version-Release number of selected component (if applicable):

[root@cloud-qe-1-vm-1 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.24.beta.el6.noarch
[root@cloud-qe-1-vm-1 ~]# 

How reproducible:


Steps to Reproduce:
1. create multiple repos with feed certs
2. sync the repos 
3. checnk in /tmp

Actual results:
This is what I have in the /tmp of my pulp server

[root@cloud-qe-1-vm-1 ~]# ls -l /tmp/
total 92
drwx------. 2 apache  apache   4096 Aug  7 15:24 HTTPSCurlDownloader-ssl_working_dir-6qkIzj
drwx------. 2 apache  apache   4096 Aug  7 20:56 HTTPSCurlDownloader-ssl_working_dir-RHNrRQ
-rwx------. 1 root    root     9418 Aug  5 12:11 ks-script-581gZn
srwxrwxrwx. 1 mongodb mongodb     0 Aug  6 10:44 mongodb-27017.sock
-rw-------. 1 apache  apache  11184 Aug  7 15:24 nectar-ssl_ca_cert-2biZHj
-rw-------. 1 apache  apache  11184 Aug  8 09:02 nectar-ssl_ca_cert-2rmSxQ
-rw-------. 1 apache  apache  11184 Aug  7 20:56 nectar-ssl_ca_cert-WKXyN3
-rw-------. 1 apache  apache   1992 Aug  7 15:24 nectar-ssl_client_cert-E8Vq0N
-rw-------. 1 apache  apache   1992 Aug  7 20:56 nectar-ssl_client_cert-IoOtDQ
-rw-------. 1 apache  apache   1992 Aug  8 09:02 nectar-ssl_client_cert-rIWyyx
-rw-------. 1 apache  apache   1675 Aug  7 15:24 nectar-ssl_client_key-H3PAlb
-rw-------. 1 apache  apache   1675 Aug  8 09:02 nectar-ssl_client_key-nERh5Z
-rw-------. 1 apache  apache   1675 Aug  7 20:56 nectar-ssl_client_key-WEvk4X
-rw-------. 1 root    root     8406 Aug  5 08:14 tmp.mZRq3y
-rw-------. 1 root    root        0 Aug  5 12:06 yum.log


Expected results:


Additional info:
Comment 1 Jason Connor 2013-11-26 14:56:05 EST
This has been a problem in all of our products. The fix is in the follow pull requests:

https://github.com/pulp/pulp/pull/725
https://github.com/pulp/pulp_rpm/pull/402
https://github.com/pulp/pulp_puppet/pull/90
Comment 3 Jeff Ortel 2014-04-03 09:36:35 EDT
build: 2.4.0-0.7.beta
Comment 4 Preethi Thomas 2014-04-15 15:17:32 EDT
[root@pulp-24-server ~]# rpm -qa pulp-server
pulp-server-2.4.0-0.9.beta.el6.noarch
[root@pulp-24-server ~]# 

[root@pulp-24-server ~]# ls -l /tmp/
total 20
srwxrwxrwx. 1 mongodb mongodb     0 Apr 14 15:47 mongodb-27017.sock
-rw-------. 1 apache  apache  11184 Apr 15 16:32 nectar-ssl_ca_cert-kNej55
-rw-------. 1 apache  apache   2082 Apr 15 16:32 nectar-ssl_client_cert-Dk6Bf5
-rw-------. 1 apache  apache   1702 Apr 15 16:32 nectar-ssl_client_key-u87Jww
-rw-------. 1 root    root        0 Apr 11 13:34 yum.log
[root@pulp-24-server ~]# ls -l /tmp/
total 20
srwxrwxrwx. 1 mongodb mongodb     0 Apr 14 15:47 mongodb-27017.sock
-rw-------. 1 apache  apache  11184 Apr 15 16:32 nectar-ssl_ca_cert-kNej55
-rw-------. 1 apache  apache   2082 Apr 15 16:32 nectar-ssl_client_cert-Dk6Bf5
-rw-------. 1 apache  apache   1702 Apr 15 16:32 nectar-ssl_client_key-u87Jww
-rw-------. 1 root    root        0 Apr 11 13:34 yum.log
[root@pulp-24-server ~]# ls -l /tmp/
total 0
srwxrwxrwx. 1 mongodb mongodb 0 Apr 14 15:47 mongodb-27017.sock
-rw-------. 1 root    root    0 Apr 11 13:34 yum.log
[root@pulp-24-server ~]#
Comment 5 Randy Barlow 2014-08-09 02:55:49 EDT
This has been fixed in Pulp 2.4.0-1.

Note You need to log in before you can comment on or make changes to this bug.